Project

General

Profile

Bug #13533

patternfly-sass 2.10.0 raises error: File to import not found or unreadable: bootstrap-combobox

Added by Dominic Cleal over 3 years ago. Updated about 1 year ago.

Status:
Closed
Priority:
High
Assignee:
Category:
Packaging
Target version:
Difficulty:
Triaged:
Bugzilla link:
Team Backlog:
Fixed in Releases:
Found in Releases:

Description

Functional tests and usage of the Foreman UI is failing with:

ActionView::Template::Error: File to import not found or unreadable: bootstrap-combobox.
Load paths:
  /var/lib/workspace/workspace/test_develop/database/sqlite3/ruby/2.2/slave/fast/app/assets/images
  /var/lib/workspace/workspace/test_develop/database/sqlite3/ruby/2.2/slave/fast/app/assets/javascripts
  /var/lib/workspace/workspace/test_develop/database/sqlite3/ruby/2.2/slave/fast/app/assets/stylesheets
  /var/lib/workspace/workspace/test_develop/database/sqlite3/ruby/2.2/slave/fast/vendor/assets/fonts
  /var/lib/workspace/workspace/test_develop/database/sqlite3/ruby/2.2/slave/fast/vendor/assets/javascripts
  /var/lib/workspace/workspace/test_develop/database/sqlite3/ruby/2.2/slave/fast/vendor/assets/stylesheets
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/jquery_pwstrength_bootstrap_4-1.2.2/vendor/assets/javascript
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/spice-html5-rails-0.1.5/vendor/assets/javascripts
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/flot-rails-0.0.3/vendor/assets/javascripts
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/ace-rails-ap-4.0.1/vendor/assets/javascripts
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/gettext_i18n_rails_js-1.0.3/lib/assets/javascripts
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/gettext_i18n_rails_js-1.0.3/vendor/assets/javascripts
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/underscore-rails-1.8.3/vendor/assets/javascripts
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/select2-rails-3.5.9.3/vendor/assets/images
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/select2-rails-3.5.9.3/vendor/assets/javascripts
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/select2-rails-3.5.9.3/vendor/assets/stylesheets
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/gridster-rails-0.5.6/vendor/assets/javascripts
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/gridster-rails-0.5.6/vendor/assets/stylesheets
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/multi-select-rails-0.9.12/app/assets/images
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/multi-select-rails-0.9.12/app/assets/javascripts
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/multi-select-rails-0.9.12/app/assets/stylesheets
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/jquery-ui-rails-4.2.1/app/assets/images
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/jquery-ui-rails-4.2.1/app/assets/javascripts
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/jquery-ui-rails-4.2.1/app/assets/stylesheets
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/jquery-turbolinks-2.1.0/vendor/assets/javascripts
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/jquery-rails-3.1.4/vendor/assets/javascripts
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/turbolinks-2.5.3/lib/assets/javascripts
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/scoped_search-3.2.2/app/assets/images
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/scoped_search-3.2.2/app/assets/javascripts
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/scoped_search-3.2.2/app/assets/stylesheets
  /var/lib/workspace/workspace/test_develop/database/sqlite3/ruby/2.2/slave/fast/vendor/assets/fonts
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/bootstrap-sass-3.3.6/assets/stylesheets
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/bootstrap-sass-3.3.6/assets/javascripts
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/bootstrap-sass-3.3.6/assets/fonts
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/bootstrap-sass-3.3.6/assets/images
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/font-awesome-sass-4.3.2.1/assets/stylesheets
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/font-awesome-sass-4.3.2.1/assets/fonts
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/patternfly-sass-2.10.0/assets/stylesheets
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/patternfly-sass-2.10.0/assets/javascripts
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/patternfly-sass-2.10.0/assets/fonts
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/patternfly-sass-2.10.0/assets/images
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/bootstrap-sass-3.3.6/assets/stylesheets
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/font-awesome-sass-4.3.2.1/assets/stylesheets
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/patternfly-sass-2.10.0/assets/stylesheets
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/bootstrap-sass-3.3.6/assets/stylesheets
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/font-awesome-sass-4.3.2.1/assets/stylesheets
  /usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/patternfly-sass-2.10.0/assets/stylesheets
    app/assets/stylesheets/application.scss:12
    app/views/layouts/base.html.erb:15:in `_app_views_layouts_base_html_erb__4253902371080406904_88983420'
    app/views/layouts/application.html.erb:5:in `_app_views_layouts_application_html_erb__1052696557401279407_82521420'
    app/controllers/concerns/application_shared.rb:13:in `set_timezone'
    app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'
    test/functional/shared/basic_rest_response_test.rb:28:in `block (2 levels) in basic_edit_test' (ActionView::Template::Error)
/usr/local/rvm/gems/ruby-2.2.3@test_develop-0/gems/patternfly-sass-2.10.0/assets/stylesheets/_patternfly.scss:64    

Filed upstream as https://github.com/patternfly/patternfly-sass/issues/100.


Related issues

Related to Foreman - Refactor #13827: Unpin patternfly-sass for 2.10.1 releaseClosed2016-02-22

Associated revisions

Revision c6d1f780 (diff)
Added by Dominic Cleal over 3 years ago

fixes #13533 - pin patternfly-sass to < 2.10.0

2.10.0 includes requires pointing to components only supplied in
rails-assets development deps, causing asset compilation to fail:

ActionView::Template::Error: File to import not found or unreadable: bootstrap-combobox.
gems/patternfly-sass-2.10.0/assets/stylesheets/_patternfly.scss:64

Filed as https://github.com/patternfly/patternfly-sass/issues/100

Revision fa49293b (diff)
Added by Dominic Cleal over 3 years ago

refs #13533 - pin patternfly-sass to < 2.10.0

History

#1 Updated by The Foreman Bot over 3 years ago

  • Status changed from Assigned to Ready For Testing
  • Pull request https://github.com/theforeman/foreman/pull/3149 added

#2 Updated by Dominic Cleal over 3 years ago

  • Status changed from Ready For Testing to Closed
  • % Done changed from 0 to 100

#3 Updated by Dominic Cleal over 3 years ago

  • Related to Refactor #13827: Unpin patternfly-sass for 2.10.1 release added

Also available in: Atom PDF